Hide navigation sidebar
Hide table of contents sidebar
Skip to content
Back to top
Toggle table of contents sidebar

# bson_strdup_printf()

## Synopsis

    char *
    bson_strdup_printf (const char *format, ...);

## Parameters

- `format`: A printf style format string.

## Description

This function performs a printf style format but into a newly allocated string.

## Returns

A newly allocated string that should be freed with bson_free().